Retrieve all inventory history records that meet the specified parameters

SecurityOAuth2
Request
path Parameters
inventoryHistoryEntryId
required
string

The identifier of the inventory history.

header Parameters
Toast-Restaurant-External-ID
required
string

The Toast identifier of the location queried for retail information.

Responses
200

Success

500

Internal server error

get/v1/inventoryHistory/{inventoryHistoryEntryId}
Request samples
curl -i -X GET \
  'https://ws-sandbox-api.eng.toasttab.com/v1/inventoryHistory/{inventoryHistoryEntryId}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Toast-Restaurant-External-ID: string'
Response samples
application/json
{
  • "inventoryHistoryLogId": "7112e744-74fe-4f0f-8400-b24b9e9abf40",
  • "itemVersionId": "7cc9611b-d6ff-446b-b471-09a1f7e86228",
  • "createdDate": "2019-08-24T14:15:22Z",
  • "modifiedDate": "2019-08-24T14:15:22Z",
  • "notes": "string",
  • "adjustmentType": "AUTO_LINK_TRANSFER_IN",
  • "supplier": {
    },
  • "purchaseOrderId": "84a099d9-2935-4997-a6ac-0d3ee9bbef72",
  • "quantityInfo": {
    },
  • "costInfo": {
    },
  • "userDetails": {
    }
}